Bug 183121 - dashed/dotted lines aren't rendered properly
dashed/dotted lines aren't rendered properly
Product: Fedora
Classification: Fedora
Component: gpdf (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Depends On:
  Show dependency treegraph
Reported: 2006-02-26 10:46 EST by Bob T.
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-29 22:05:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
a pdf with solid, dotted, and dashed lines (with arrowheads) (1.83 KB, application/pdf)
2006-02-26 10:46 EST, Bob T.
no flags Details

  None (edit)
Description Bob T. 2006-02-26 10:46:15 EST
Description of problem: 

dotted and dashed lines don't render properly

Version-Release number of selected component (if applicable): 


How reproducible:

every time

Steps to Reproduce:
1. create a pdf with dashed/dotted lines
2. display in gpdf
Actual results:

dotted lines disappear

dashed lines are solid or have extremely long dashes

Expected results:

dotted lines are dotted, dashed lines are dashed

Additional info:

test file to be attached, renders properly in xpdf, gv, evince, acroread, kpdf, ...
Comment 1 Bob T. 2006-02-26 10:46:15 EST
Created attachment 125279 [details]
a pdf with solid, dotted, and dashed lines (with arrowheads)
Comment 2 Bob T. 2006-06-29 17:16:00 EDT
This problem still exists for gpdf and also for the most recent evince
(0.5.3-1), but apparently only on Fedora (no problem on Ubuntu).  
Comment 3 Kristian Høgsberg 2006-06-29 18:43:26 EDT
Ubuntu doesn't have this problem as they use the splash rendering backend.  This
is a problem in the cairo backend (in cairo, actually) which should be fixed in
the upcoming cairo 1.2 release.
Comment 4 Bob T. 2006-06-29 22:05:26 EDT
Upgrading to cairo-1.1.6-6 seems to have fixed the problem with evince but not gpdf.

Note You need to log in before you can comment on or make changes to this bug.